Loading...
Searching...
No Matches
Pose2.h File Reference

2D Pose More...

Go to the source code of this file.

## Classes

class | gtsam::Pose2
| A 2D pose (Point2,Rot2). More...
struct | gtsam::Pose2::ChartAtOrigin
struct | gtsam::traits< Pose2 >
struct | gtsam::traits< const Pose2 >
struct | gtsam::Bearing< Pose2, T >
struct | gtsam::Range< Pose2, T >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::Pose2Pair = std::pair<Pose2, Pose2>
using | gtsam::Pose2Pairs = std::vector<Pose2Pair>

## Functions

template<>
Matrix | gtsam::wedge< Pose2 > (const Vector &xi)
| specialization for pose2 wedge function (generic template in Lie.h)

## Detailed Description

2D Pose

Author
  : Frank Dellaert
  : Richard Roberts